DatabaseDescriptor (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.config
Class DatabaseDescriptor

    java.lang.Object
      org.apache.cassandra.config.DatabaseDescriptor

    public class DatabaseDescriptor

extends java.lang.Object

Constructor Summary
`DatabaseDescriptor()`

Method Summary
`static void` | `createAllDirectories()` Creates all storage-related directories.
`static java.lang.String[]` | `getAllDataFileLocations()`
`static java.lang.String[]` | `getAllDataFileLocationsForTable(java.lang.String table)` Get a list of data directories for a given table
`static IAuthenticator` | `getAuthenticator()`
`static IAuthority` | `getAuthority()`
`static java.net.InetAddress` | `getBroadcastAddress()`
`static java.lang.String` | `getClusterName()`
`static int` | `getColumnIndexSize()`
`static java.lang.String` | `getCommitLogLocation()`
`static Config.CommitLogSync` | `getCommitLogSync()`
`static double` | `getCommitLogSyncBatchWindow()`
`static int` | `getCommitLogSyncPeriod()`
`static int` | `getCompactionThroughputMbPerSec()`
`static int` | `getConcurrentCompactors()`
`static int` | `getConcurrentReaders()`
`static int` | `getConcurrentReplicators()`
`static int` | `getConcurrentWriters()`
`static java.lang.String` | `getDataFileLocationForTable(java.lang.String table, long expectedCompactedFileSize)`
`static Config.DiskAccessMode` | `getDiskAccessMode()`
`static double` | `getDynamicBadnessThreshold()`
`static int` | `getDynamicResetInterval()`
`static int` | `getDynamicUpdateInterval()`
`static EncryptionOptions` | `getEncryptionOptions()`
`static IEndpointSnitch` | `getEndpointSnitch()`
`static double` | `getFlushLargestMemtablesAt()`
`static int` | `getFlushQueueSize()`
`static int` | `getFlushWriters()`
`static int` | `getHintedHandoffThrottleDelay()`
`static Config.DiskAccessMode` | `getIndexAccessMode()`
`static int` | `getIndexedReadBufferSizeInKB()`
`static java.lang.Integer` | `getIndexInterval()`
`static java.lang.String` | `getInitialToken()`
`static int` | `getInMemoryCompactionLimit()`
`static java.lang.String` | `getJobJarLocation()`
`static java.lang.String` | `getJobTrackerAddress()`
`static java.net.InetAddress` | `getListenAddress()`
`static int` | `getMaxHintWindow()`
`static IPartitioner` | `getPartitioner()`
`static int` | `getPhiConvictThreshold()`
`static boolean` | `getPreheatKeyCache()`
`static double` | `getReduceCacheCapacityTo()`
`static double` | `getReduceCacheSizesAt()`
`static java.lang.String` | `getReplaceToken()`
`static IRequestScheduler` | `getRequestScheduler()`
`static Config.RequestSchedulerId` | `getRequestSchedulerId()`
`static RequestSchedulerOptions` | `getRequestSchedulerOptions()`
`static java.net.InetAddress` | `getRpcAddress()`
`static boolean` | `getRpcKeepAlive()`
`static java.lang.Integer` | `getRpcMaxThreads()`
`static java.lang.Integer` | `getRpcMinThreads()`
`static int` | `getRpcPort()`
`static java.lang.Integer` | `getRpcRecvBufferSize()`
`static java.lang.Integer` | `getRpcSendBufferSize()`
`static java.lang.String` | `getRpcServerType()`
`static long` | `getRpcTimeout()`
`static java.lang.String` | `getSavedCachesLocation()`
`static java.util.Set<java.net.InetAddress>` | `getSeeds()`
`static java.io.File` | `getSerializedCachePath(java.lang.String ksName, java.lang.String cfName, ColumnFamilyStore.CacheType cacheType)`
`static int` | `getSlicedReadBufferSizeInKB()`
`static int` | `getSSLStoragePort()`
`static int` | `getStoragePort()`
`static int` | `getStreamingSocketTimeout()`
`static int` | `getStreamThroughputOutboundMegabitsPerSec()`
`static int` | `getThriftFramedTransportSize()`
`static int` | `getThriftMaxMessageLength()`
`static long` | `getTotalCommitlogSpaceInMB()`
`static int` | `getTotalMemtableSpaceInMB()`
`static boolean` | `hintedHandoffEnabled()`
`static boolean` | `incrementalBackupsEnabled()`
`static boolean` | `isAutoBootstrap()`
`static boolean` | `isAutoSnapshot()`
`static boolean` | `isMultithreadedCompaction()`
`static boolean` | `isSnapshotBeforeCompaction()`
`static void` | `loadSchemas()` load keyspace (table) definitions, but do not initialize the table instances.
`static void` | `setBroadcastAddress(java.net.InetAddress broadcastAdd)`
`static void` | `setCompactionThroughputMbPerSec(int value)`
`static void` | `setDynamicBadnessThreshold(java.lang.Double dynamicBadnessThreshold)`
`static void` | `setDynamicResetInterval(java.lang.Integer dynamicResetInterval)`
`static void` | `setDynamicUpdateInterval(java.lang.Integer dynamicUpdateInterval)`
`static void` | `setEndpointSnitch(IEndpointSnitch eps)`
`static void` | `setInMemoryCompactionLimit(int sizeInMB)`
`static void` | `setRpcTimeout(java.lang.Long timeOutInMillis)`
`static void` | `setStreamThroughputOutboundMegabitsPerSec(int value)`
`static void` | `validateMemtableOperations(double operationsInMillions)`
`static void` | `validateMemtableThroughput(int sizeInMB)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseDescriptor

    public DatabaseDescriptor()

Method Detail

### loadSchemas

    public static void loadSchemas()
                            throws java.io.IOException

  load keyspace (table) definitions, but do not initialize the table instances.

  Throws:
    `java.io.IOException`

### getAuthenticator

    public static IAuthenticator getAuthenticator()

### getAuthority

    public static IAuthority getAuthority()

### getThriftMaxMessageLength

    public static int getThriftMaxMessageLength()

### getThriftFramedTransportSize

    public static int getThriftFramedTransportSize()

### createAllDirectories

    public static void createAllDirectories()
                                     throws java.io.IOException

  Creates all storage-related directories.

  Throws:
    `java.io.IOException` - when a disk problem is encountered.

### getPartitioner

    public static IPartitioner getPartitioner()

### getEndpointSnitch

    public static IEndpointSnitch getEndpointSnitch()

### setEndpointSnitch

    public static void setEndpointSnitch(IEndpointSnitch eps)

### getRequestScheduler

    public static IRequestScheduler getRequestScheduler()

### getRequestSchedulerOptions

    public static RequestSchedulerOptions getRequestSchedulerOptions()

### getRequestSchedulerId

    public static Config.RequestSchedulerId getRequestSchedulerId()

### getJobTrackerAddress

    public static java.lang.String getJobTrackerAddress()

### getColumnIndexSize

    public static int getColumnIndexSize()

### getInitialToken

    public static java.lang.String getInitialToken()

### getReplaceToken

    public static java.lang.String getReplaceToken()

### getClusterName

    public static java.lang.String getClusterName()

### getJobJarLocation

    public static java.lang.String getJobJarLocation()

### getStoragePort

    public static int getStoragePort()

### getSSLStoragePort

    public static int getSSLStoragePort()

### getRpcPort

    public static int getRpcPort()

### getRpcTimeout

    public static long getRpcTimeout()

### setRpcTimeout

    public static void setRpcTimeout(java.lang.Long timeOutInMillis)

### getPhiConvictThreshold

    public static int getPhiConvictThreshold()

### getConcurrentReaders

    public static int getConcurrentReaders()

### getConcurrentWriters

    public static int getConcurrentWriters()

### getConcurrentReplicators

    public static int getConcurrentReplicators()

### getFlushWriters

    public static int getFlushWriters()

### getInMemoryCompactionLimit

    public static int getInMemoryCompactionLimit()

### setInMemoryCompactionLimit

    public static void setInMemoryCompactionLimit(int sizeInMB)

### getConcurrentCompactors

    public static int getConcurrentCompactors()

### isMultithreadedCompaction

    public static boolean isMultithreadedCompaction()

### getCompactionThroughputMbPerSec

    public static int getCompactionThroughputMbPerSec()

### setCompactionThroughputMbPerSec

    public static void setCompactionThroughputMbPerSec(int value)

### getStreamThroughputOutboundMegabitsPerSec

    public static int getStreamThroughputOutboundMegabitsPerSec()

### setStreamThroughputOutboundMegabitsPerSec

    public static void setStreamThroughputOutboundMegabitsPerSec(int value)

### getAllDataFileLocations

    public static java.lang.String[] getAllDataFileLocations()

### getAllDataFileLocationsForTable

    public static java.lang.String[] getAllDataFileLocationsForTable(java.lang.String table)

  Get a list of data directories for a given table

  Parameters:
    `table` - name of the table.
  Returns:
    an array of path to the data directories.

### getCommitLogLocation

    public static java.lang.String getCommitLogLocation()

### getSavedCachesLocation

    public static java.lang.String getSavedCachesLocation()

### getSeeds

    public static java.util.Set<java.net.InetAddress> getSeeds()

### getDataFileLocationForTable

    public static java.lang.String getDataFileLocationForTable(java.lang.String table,
                                                               long expectedCompactedFileSize)

### getListenAddress

    public static java.net.InetAddress getListenAddress()

### getBroadcastAddress

    public static java.net.InetAddress getBroadcastAddress()

### setBroadcastAddress

    public static void setBroadcastAddress(java.net.InetAddress broadcastAdd)

### getRpcAddress

    public static java.net.InetAddress getRpcAddress()

### getRpcServerType

    public static java.lang.String getRpcServerType()

### getRpcKeepAlive

    public static boolean getRpcKeepAlive()

### getRpcMinThreads

    public static java.lang.Integer getRpcMinThreads()

### getRpcMaxThreads

    public static java.lang.Integer getRpcMaxThreads()

### getRpcSendBufferSize

    public static java.lang.Integer getRpcSendBufferSize()

### getRpcRecvBufferSize

    public static java.lang.Integer getRpcRecvBufferSize()

### getCommitLogSyncBatchWindow

    public static double getCommitLogSyncBatchWindow()

### getCommitLogSyncPeriod

    public static int getCommitLogSyncPeriod()

### getCommitLogSync

    public static Config.CommitLogSync getCommitLogSync()

### getDiskAccessMode

    public static Config.DiskAccessMode getDiskAccessMode()

### getIndexAccessMode

    public static Config.DiskAccessMode getIndexAccessMode()

### getIndexedReadBufferSizeInKB

    public static int getIndexedReadBufferSizeInKB()

### getSlicedReadBufferSizeInKB

    public static int getSlicedReadBufferSizeInKB()

### isSnapshotBeforeCompaction

    public static boolean isSnapshotBeforeCompaction()

### isAutoSnapshot

    public static boolean isAutoSnapshot()

### isAutoBootstrap

    public static boolean isAutoBootstrap()

### hintedHandoffEnabled

    public static boolean hintedHandoffEnabled()

### getMaxHintWindow

    public static int getMaxHintWindow()

### getIndexInterval

    public static java.lang.Integer getIndexInterval()

### getSerializedCachePath

    public static java.io.File getSerializedCachePath(java.lang.String ksName,
                                                      java.lang.String cfName,
                                                      ColumnFamilyStore.CacheType cacheType)

### getDynamicUpdateInterval

    public static int getDynamicUpdateInterval()

### setDynamicUpdateInterval

    public static void setDynamicUpdateInterval(java.lang.Integer dynamicUpdateInterval)

### getDynamicResetInterval

    public static int getDynamicResetInterval()

### setDynamicResetInterval

    public static void setDynamicResetInterval(java.lang.Integer dynamicResetInterval)

### getDynamicBadnessThreshold

    public static double getDynamicBadnessThreshold()

### setDynamicBadnessThreshold

    public static void setDynamicBadnessThreshold(java.lang.Double dynamicBadnessThreshold)

### getEncryptionOptions

    public static EncryptionOptions getEncryptionOptions()

### getFlushLargestMemtablesAt

    public static double getFlushLargestMemtablesAt()

### getReduceCacheSizesAt

    public static double getReduceCacheSizesAt()

### getReduceCacheCapacityTo

    public static double getReduceCacheCapacityTo()

### getHintedHandoffThrottleDelay

    public static int getHintedHandoffThrottleDelay()

### getPreheatKeyCache

    public static boolean getPreheatKeyCache()

### validateMemtableThroughput

    public static void validateMemtableThroughput(int sizeInMB)
                                           throws ConfigurationException

  Throws:
    `ConfigurationException`

### validateMemtableOperations

    public static void validateMemtableOperations(double operationsInMillions)
                                           throws ConfigurationException

  Throws:
    `ConfigurationException`

### incrementalBackupsEnabled

    public static boolean incrementalBackupsEnabled()

### getFlushQueueSize

    public static int getFlushQueueSize()

### getTotalMemtableSpaceInMB

    public static int getTotalMemtableSpaceInMB()

### getTotalCommitlogSpaceInMB

    public static long getTotalCommitlogSpaceInMB()

### getStreamingSocketTimeout

    public static int getStreamingSocketTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation